package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.DataSyncOut;
import com.sa.ibiz.demo.demo.service.dto.DataSyncOutSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[DataSyncOut] 服务对象接口
 */
public interface DataSyncOutService extends IService<DataSyncOut>{

	boolean getDraft(DataSyncOut et);
	boolean create(DataSyncOut et);
		DataSyncOut get(DataSyncOut et);
	boolean checkKey(DataSyncOut et);
	boolean remove(DataSyncOut et);
	boolean update(DataSyncOut et);
    List<DataSyncOut> listDefault(DataSyncOutSearchFilter filter) ;
	Page<DataSyncOut> searchDefault(DataSyncOutSearchFilter filter);
	/**	 实体[DataSyncOut] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }